- updated to 3.0.0
[packages/libsoup3.git] / libsoup3.spec
1 #
2 # Conditional build:
3 %bcond_without  apidocs # API documentation
4
5 Summary:        HTTP client/server library for GNOME
6 Summary(pl.UTF-8):      Biblioteka klienta/serwera HTTP dla GNOME
7 Name:           libsoup3
8 Version:        3.0.0
9 Release:        1
10 License:        LGPL v2+
11 Group:          Libraries
12 Source0:        https://download.gnome.org/sources/libsoup/3.0/libsoup-%{version}.tar.xz
13 # Source0-md5:  f1b0caa1c66a4e11c5fced57a3509b89
14 Patch0:         %{name}-path-override.patch
15 URL:            https://wiki.gnome.org/Projects/libsoup
16 BuildRequires:  docbook-dtd412-xml
17 BuildRequires:  gettext-tools
18 BuildRequires:  glib2-devel >= 1:2.69.1
19 BuildRequires:  gobject-introspection-devel >= 0.10.0
20 %{?with_apidocs:BuildRequires:  gtk-doc >= 1.20}
21 BuildRequires:  heimdal-devel
22 BuildRequires:  libbrotli-devel
23 BuildRequires:  libpsl-devel >= 0.20.0
24 BuildRequires:  libxml2-devel >= 1:2.6.31
25 BuildRequires:  meson >= 0.53
26 BuildRequires:  nghttp2-devel
27 BuildRequires:  ninja >= 1.5
28 BuildRequires:  pkgconfig
29 BuildRequires:  rpm-build >= 4.6
30 BuildRequires:  rpmbuild(macros) >= 1.736
31 BuildRequires:  sqlite3-devel
32 BuildRequires:  sysprof-devel >= 3.38
33 BuildRequires:  tar >= 1:1.22
34 BuildRequires:  vala
35 BuildRequires:  xz
36 BuildRequires:  zlib-devel
37 Requires:       glib2 >= 1:2.69.1
38 Requires:       libpsl >= 0.20.0
39 # for TLS support
40 Suggests:       glib-networking
41 # ntlm_auth for NTLM support
42 Suggests:       samba-winbind
43 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
44
45 %description
46 libsoup is an HTTP client/server library for GNOME. It uses GObjects
47 and the glib main loop, to integrate well with GNOME applications.
48
49 %description -l pl.UTF-8
50 libsoup to biblioteka klienta/serwera HTTP dla GNOME. Wykorzystuje
51 typy GObject oraz pętlę główną glib, aby dobrze integrować się z
52 aplikacjami GNOME.
53
54 %package devel
55 Summary:        Header files for libsoup 3 library
56 Summary(pl.UTF-8):      Pliki nagłówkowe biblioteki libsoup 3
57 Group:          Development/Libraries
58 Requires:       %{name} = %{version}-%{release}
59 Requires:       glib2-devel >= 1:2.69.1
60 Requires:       libbrotli-devel
61 Requires:       libpsl-devel >= 0.20.0
62 Requires:       libxml2-devel >= 1:2.6.31
63 Requires:       sqlite3-devel
64 Requires:       sysprof-devel >= 3.38
65 Requires:       zlib-devel
66
67 %description devel
68 Header files for libsoup 3 library.
69
70 %description devel -l pl.UTF-8
71 Pliki nagłówkowe biblioteki libsoup 3.
72
73 %package static
74 Summary:        libsoup 3 static library
75 Summary(pl.UTF-8):      Biblioteka statyczna libsoup 3
76 Group:          Development/Libraries
77 Requires:       %{name}-devel = %{version}-%{release}
78
79 %description static
80 libsoup 3 static library.
81
82 %description static -l pl.UTF-8
83 Biblioteka statyczna libsoup 3.
84
85 %package apidocs
86 Summary:        libsoup API documentation
87 Summary(pl.UTF-8):      Dokumentacja API libsoup
88 Group:          Documentation
89 Requires:       gtk-doc-common
90 BuildArch:      noarch
91
92 %description apidocs
93 libsoup API documentation.
94
95 %description apidocs -l pl.UTF-8
96 Dokumentacja API libsoup.
97
98 %package -n python3-libsoup3
99 Summary:        Python 3.x interface for libsoup 3 library
100 Summary(pl.UTF-8):      Interfejs Pythona 3.x do biblioteki libsoup 3
101 Group:          Libraries/Python
102 Requires:       %{name} = %{version}-%{release}
103 Requires:       python3-pygobject3 >= 3.0
104
105 %description -n python3-libsoup3
106 Python 3.x interface for libsoup 3 library.
107
108 %description -n python3-libsoup3 -l pl.UTF-8
109 Interfejs Pythona 3.x do biblioteki libsoup 3.
110
111 %package -n vala-libsoup3
112 Summary:        libsoup 3 API for Vala language
113 Summary(pl.UTF-8):      API libsoup 3 dla języka Vala
114 Group:          Development/Libraries
115 Requires:       %{name}-devel = %{version}-%{release}
116 Requires:       vala
117 BuildArch:      noarch
118
119 %description -n vala-libsoup3
120 libsoup 3 API for Vala language.
121
122 %description -n vala-libsoup3 -l pl.UTF-8
123 API libsoup 3 dla języka Vala.
124
125 %prep
126 %setup -q -n libsoup-%{version}
127 %patch0 -p1
128
129 %build
130 %meson build \
131         %{?with_apidocs:-Dgtk_doc=true} \
132         -Dntlm=enabled \
133         -Dntlm_auth=/usr/bin/ntlm_auth \
134         -Dtests=false \
135         -Dtls_check=false
136
137 %ninja_build -C build
138
139 %install
140 rm -rf $RPM_BUILD_ROOT
141
142 %ninja_install -C build
143
144 %find_lang libsoup-3.0
145
146 %clean
147 rm -rf $RPM_BUILD_ROOT
148
149 %post   -p /sbin/ldconfig
150 %postun -p /sbin/ldconfig
151
152 %files -f libsoup-3.0.lang
153 %defattr(644,root,root,755)
154 %doc AUTHORS NEWS README
155 %attr(755,root,root) %{_libdir}/libsoup-3.0.so.*.*.*
156 %attr(755,root,root) %ghost %{_libdir}/libsoup-3.0.so.0
157 %{_libdir}/girepository-1.0/Soup-3.0.typelib
158
159 %files devel
160 %defattr(644,root,root,755)
161 %attr(755,root,root) %{_libdir}/libsoup-3.0.so
162 %{_includedir}/libsoup-3.0
163 %{_pkgconfigdir}/libsoup-3.0.pc
164 %{_datadir}/gir-1.0/Soup-3.0.gir
165
166 %files static
167 %defattr(644,root,root,755)
168 %{_libdir}/libsoup-3.0.a
169
170 %if %{with apidocs}
171 %files apidocs
172 %defattr(644,root,root,755)
173 %{_gtkdocdir}/libsoup-3.0
174 %endif
175
176 %files -n python3-libsoup3
177 %defattr(644,root,root,755)
178 %{py3_sitedir}/gi/overrides/Soup.py
179
180 %files -n vala-libsoup3
181 %defattr(644,root,root,755)
182 %{_datadir}/vala/vapi/libsoup-3.0.deps
183 %{_datadir}/vala/vapi/libsoup-3.0.vapi
This page took 0.226618 seconds and 3 git commands to generate.